## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
# Needs privileges
%bcond_with check

# https://github.com/cilium/ebpf
%global goipath         github.com/cilium/ebpf
Version:                0.11.0
%gometa

%global common_description %{expand:
Ebpf-go is a pure-Go library to read, modify and load eBPF programs and attach
them to various hooks in the Linux kernel.}

%global golicenses      LICENSE
%global godocs          examples ARCHITECTURE.md CODE_OF_CONDUCT.md\\\
                        CONTRIBUTING.md MAINTAINERS.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        EBPF Library for Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/bpf2go %{goipath}/cmd/bpf2go

%install
%gopkginstall
install -m 0755 -vd                          %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/bpf2go %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc examples README.md CONTRIBUTING.md CODE_OF_CONDUCT.md ARCHITECTURE.md
%{_bindir}/bpf2go

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 0.11.0-4
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Aug 05 2023 Robert-André Mauchin <zebob.m@gmail.com> - 0.11.0-1
- Update to 0.11.0

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0.8.0-3
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.0-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Mon Jan 24 2022 Maxwell G <gotmax@e.email> - 0.8.0-1
- Update to 0.8.0. Fixes rhbz#1963467.
- Regenerate specfile and add new binary, bpf2go

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan  8 23:21:32 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 24 23:27:31 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.2.20200724git1c8d4c9
- Bump to commit 1c8d4c9ef7759622653a1d319284a44652333b28

* Thu Mar 05 15:15:28 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20200305git5d50e74
- Initial package

## END: Generated by rpmautospec
